package edu.ucsc.facedetect;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.StringTokenizer;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class DataDisplayer extends JPanel {

    public static void main(String[] args) {
        DataDisplayer display = new DataDisplayer();
        System.out.println("Done");
        
        JFrame frame = new JFrame();
        display.setPreferredSize(new Dimension(480, 480));
        frame.add(display);
        frame.pack();
        
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);        
    }
    
    double[][] data = new double[24][24];
    
    public DataDisplayer() {
        try {
            File dir = new File("images/positives");
            
            int i=0;
            int count = 0;
            for (File file : dir.listFiles()) {
//                count++;
//                if (count <= 400) {
//                    continue;
//                }
                
                int ox = i%20;
                int oy = i/20;
                
                BufferedReader reader = new BufferedReader(new FileReader(file));
                String line = reader.readLine();
                
                int y = 0;
                while (line != null) {
                    StringTokenizer tokenizer = new StringTokenizer(line);
                    
                    int x = 0;
                    while (x < 24) {
                        double p = Integer.parseInt(tokenizer.nextToken());      
                        data[(oy*24 + y)%24][(ox*24 + x)%24] += p/400.0;
                        x++;
                    }
                                        
                    y++;
                    line = reader.readLine();
                }
                
                i++;
                if (i == 400) {
                    break;
                }
            }
        }
        catch (Exception e) {
            e.printStackTrace();
        }        
    }
    
    public void paint(Graphics g) {
        
        for (int y=0; y<data.length; y++) {
            for (int x=0; x<data.length; x++) {
                int p = (int)data[y][x];
                g.setColor(new Color(p, p, p));
                g.fillRect(x*10, y*10, 10, 10);
            }  
        }
    }
}
