package edu.ucsc.facedetect;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.File;
import java.util.ArrayList;

import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class FaceDisplayer extends JPanel {

    ArrayList<double[]> faces;

    Image image;
    
    double[][] dat;
    
    public FaceDisplayer(double[][] dat) {
        this.dat = dat;
        
        this.setPreferredSize(new Dimension(240, 240));
        JFrame frame = new JFrame();
        frame.add(this);
        frame.pack();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
    
    public FaceDisplayer(ArrayList<double[]> faces, File file) {
        this.faces = faces;
        
        try {
            image = ImageIO.read(file);  
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        
        this.setPreferredSize(new Dimension(1000, 700));
        JFrame frame = new JFrame();
        frame.add(this);
        frame.pack();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
    
    public void paint(Graphics g) {
        if (dat != null) {
            for (int y=0; y<24; y++) {            
                for (int x=0; x<24; x++) {
                    int p = Math.min(255, (int)(dat[y][x]*255.0));
                    p = Math.max(0, p);
                    g.setColor(new Color(p, p, p));
                    g.fillRect(10*x, 10*(23 - y), 10, 10);
                }
            }
        }
        else {
            g.drawImage(image, 0, 0, null);
            
            g.setColor(Color.RED);
            
            for (double[] bounds : faces) {

                g.drawRect((int)bounds[0], (int)bounds[1], (int)(bounds[2]*24), (int)(bounds[2]*24));
            }
        }
    }
}
