package video;

import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;

import javax.swing.JFrame;

import edu.ucsc.facedetect.Driver;

public class VideoMain extends JFrame {

    private static Robot robot;
    
    private static VideoPanel panel = new VideoPanel();
    
    private static Driver driver = new Driver();
    
    public static void main(String[] args) {
        new VideoMain();
    }
    
    public VideoMain() {
        try {
            robot = new Robot();            
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLocation(640, 10);
        add(panel);
        pack();
        setVisible(true);
        
        new Thread() {
            public void run() {
                while (true) {
                    try {
                        sleep(40);
                    }
                    catch (Exception e) {}
                 
                    // get a screen capture
                    BufferedImage image = robot.createScreenCapture(new Rectangle(15, 61, 320, 240));
//                    BufferedImage image = robot.createScreenCapture(new Rectangle(5, 50, 600, 600));
                    panel.setImageToDisplay(image);
                    panel.repaint();
                }
            }
        }.start();
        
        new Thread() {
            public void run() {
                while (true) {
                    yield();
                 
                    // get a screen capture
                    BufferedImage image = panel.getCurrentImage();
                    
                    if (image != null) {
                        panel.setFacesToDisplay(driver.videoCheckForFace(image));
                        panel.repaint();
                    }
                }
            }
        }.start();

    }
}
