package video;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.util.ArrayList;

import javax.swing.JPanel;

public class VideoPanel extends JPanel {

    private BufferedImage image;
    
    private ArrayList<double[]> faces;
    
    public VideoPanel() {
        super();
        setPreferredSize(new Dimension(320, 240));
    }
    
    public synchronized void setImageToDisplay(BufferedImage image) {
        this.image = image;
    }
    
    public synchronized BufferedImage getCurrentImage() {
        return image;
    }
    
    public void setFacesToDisplay(ArrayList<double[]> faces) {
        this.faces = faces;
    }
    
    public void paint(Graphics g) {
        if (image != null) {
            g.drawImage(image, 0, 0, null);
        }

        if (faces != null) {
            g.setColor(Color.RED);
            g.setColor(new Color(0, 255, 0));
            for (double[] bounds : faces) {
                int r = (int)(Math.random()*256);
                int g2 = (int)(Math.random()*256);
                int b = (int)(Math.random()*256);

                g.setColor(new Color(r,g2,b));
                
                g.drawRect((int)bounds[0], (int)bounds[1], (int)(bounds[2]*24), (int)(bounds[2]*24));
                g.drawRect((int)bounds[0] + 1, (int)bounds[1] + 1, (int)(bounds[2]*24) - 2, (int)(bounds[2]*24) - 2);
            }
        }
    }
}
